Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo.gui
Enum INavigator.DragType

    java.lang.Object
      java.lang.Enum<INavigator.DragType>
          igeo.gui.INavigator.DragType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<INavigator.DragType>

Enclosing class:
  INavigator

    public static enum INavigator.DragType

extends java.lang.Enum<INavigator.DragType>

Enum Constant Summary
`Pan`
`Rotate`
`Zoom`

Method Summary
`static INavigator.DragType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static INavigator.DragType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Rotate

    public static final INavigator.DragType Rotate

### Pan

    public static final INavigator.DragType Pan

### Zoom

    public static final INavigator.DragType Zoom

Method Detail

### values

    public static INavigator.DragType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (INavigator.DragType c : INavigator.DragType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static INavigator.DragType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD